# Generated by Django 3.0.7 on 2020-06-24 00:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Auto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('modelo', models.CharField(max_length=100)),
                ('marca', models.CharField(max_length=100)),
                ('patente', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Piloto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100)),
                ('apellido', models.CharField(max_length=100)),
                ('dni', models.IntegerField()),
                ('n_auto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='auto', to='carrera.Auto')),
            ],
        ),
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100)),
                ('n_piloto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='piloto', to='carrera.Piloto')),
            ],
        ),
    ]
